inconsistent rendering of upper case Greek letters in TeX
Closed, ResolvedPublic

Description

Author: mark_sweep

Description:
The upper case Greek characters that are undefined in plain TeX (such as \Alpha,
\Beta, \Epsilon, etc.) are rendered in TeX's math italic font. They should be
rendered in an upright ("roman") font to match the other Greek characters
(\Gamma, \Delta, etc., which are defined in plain TeX).

This affects the function "find" in math/texutil.ml. I don't understand the
code well enough to tell whether replacing FONT_RTI with FONT_RM would be
sufficient.


Version: unspecified
Severity: normal
URL: http://en.wikipedia.org/wiki/Wikipedia_talk:TeX_markup#Upright_Greek

bzimport added a project: Math.Via ConduitNov 21 2014, 8:07 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1182.
bzimport created this task.Via LegacyDec 23 2004, 9:22 PM
bzimport added a comment.Via ConduitMay 7 2005, 12:48 AM

taw wrote:

Replacing FONT_RTI with FONT_RM would be sufficient.
Only FONT_* influence the italicness.

AzaToth added a comment.Via ConduitNov 3 2006, 1:02 PM

One solution to the bug

It's not enough to set it as FONT_RM, it will still be displayed as italics. So
instead we change it to use FONT_UF and specify the letter as a \mathrm{},
forcing ams even perhaps it's unnecissary (the main mathrm definition force
ams, so to keep is likewise)

Attached: math_greek.patch

bzimport added a comment.Via ConduitNov 3 2006, 11:18 PM

jeluf wrote:

Fixed in r17386.

bzimport added a comment.Via ConduitOct 14 2011, 2:08 AM

nmichalo wrote:

This bug is fixed in texvc, but on the various WMF wikis there incorrect images are cached and cached math images never expire. (See bug #24445).

Add Comment